|  | Home | Documentation | xml-rpc.h File Reference updated Thu Feb 9 2023 by Robert van Engelen |

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
xml-rpc.h File Reference
`#include "xml-rpc-iters.h"`
Include dependency graph for xml-rpc.h:

## Classes
struct | _base64
| Represents the <base64> binary data element. More...
struct | _rawdata
| Represents the <rawdata> binary data element. More...
struct | _struct
| Represents the <struct> record structure element. More...
struct | data
| Represents the <data> element. More...
struct | _array
| Represents the <array> array of values element. More...
struct | value
struct | member
| Represents the <member> element of a <struct>. More...
struct | params
| Represents the <params> of a <methodCall> request and response. More...
struct | param
| Represents a <param> of the <params> of a <methodCall>. More...
struct | methodResponse
| Represents the <methodResponse> element with response <params> and <fault>. More...
struct | methodCall
| Represents the <methodCall> element with <methodName> and request <params> for remote invocation. More...
struct | fault
| Represents the <fault> container element with a value. More...

## Typedefs
typedef char | _boolean
| Scalar <boolean> element with values 0 (false) or 1 (true) More...
typedef double | _double
| Scalar <double> element with double floating point. More...
typedef int | _i4
| Scalar <i4> element with 32 bit integer. More...
typedef LONG64 | _int
| Scalar <int> element with 64 bit integer. More...
typedef char * | _string
| Scalar <string> element. More...
typedef char * | _dateTime_DOTiso8601
| Scalar <dateTime.iso8601> element with ISO8601 date and time formatted string. More...

## Functions
struct value * | new_value (struct soap *soap)
| C/C++ function returns a pointer to a new value. More...
struct value * | init_value (struct soap *soap, struct value *v)
| C/C++ function to init or reset a value, returns a pointer to this value. More...
_boolean * | bool_of (struct value *v)
| C function returns pointer to Boolean, coerces v to Boolean if needed. More...
_int * | int_of (struct value *v)
| C function returns pointer to int, coerces v to int if needed. More...
_double * | double_of (struct value *v)
| C function returns pointer to double, coerces v to double if needed. More...
const char ** | string_of (struct value *v)
| C function returns pointer to string (pointer to char * to set or get), coerces v to string if needed. More...
const char ** | dateTime_of (struct value *v)
| C function returns pointer to string of ISO 8601, coerces v to string if needed (get time with soap_s2dateTime and set time with soap_dateTime2s) More...
struct _base64 * | base64_of (struct value *v)
| C function returns pointer to base64 struct, coerces v to base64 struct if needed. More...
struct _rawdata * | rawdata_of (struct value *v)
| C function returns pointer to string of RAW JSON. More...
struct value * | value_at (struct value *v, const char *s)
| C function returns pointer to member value of a struct, coerces v to struct if needed. More...
struct value * | value_atw (struct value *v, const wchar_t *s)
| C function returns pointer to member value of a struct, coerces v to struct if needed. More...
int | nth_at (const struct value *v, const char *s)
| C function returns the nth index of a name in a struct, < 0 otherwise. More...
int | nth_atw (const struct value *v, const wchar_t *s)
| C function returns the nth index of a name in a struct, < 0 otherwise. More...
int | nth_nth (const struct value *v, int n)
| C function returns the nth index if an nth index in the array exists, < 0 otherwise. More...
struct member * | nth_member (struct value *v, int n)
| C function returns pointer to nth member (name and value) of a struct or NULL when not exists. More...
struct value * | nth_value (struct value *v, int n)
| C function returns pointer to array element value at index n, coerces v to array with value at n if needed. More...
_boolean | is_null (const struct value *v)
| C function returns true if value is not set or assigned (JSON null) More...
_boolean | is_int (const struct value *v)
| C function returns true if value is a 32 or a 64 bit int. More...
_boolean | is_double (const struct value *v)
| C function returns true if value is a 64 bit double floating point. More...
_boolean | is_number (const struct value *v)
| C function returns true if value is a number (int or float) More...
_boolean | is_string (const struct value *v)
| C function returns true if value is a string. More...
_boolean | is_bool (const struct value *v)
| C function returns true if value is a Boolean "true" or "false" value. More...
_boolean | is_true (const struct value *v)
| C function returns true if value is Boolean "true". More...
_boolean | is_false (const struct value *v)
| C function returns true if value is Boolean "false". More...
_boolean | is_array (const struct value *v)
| C function returns true if array of values. More...
_boolean | is_struct (const struct value *v)
| C function returns true if structure, a.k.a. a JSON object. More...
_boolean | is_dateTime (const struct value *v)
| C function returns true if ISO 8601, always false for received JSON. More...
_boolean | is_base64 (const struct value *v)
| C function returns true if base64, always false for received JSON. More...
_boolean | is_rawdata (const struct value *v)
| C function returns true if RAW JSON, always false for received JSON. More...
void | set_struct (struct value *v)
| C function to create an empty struct. More...
void | set_size (struct value *v, int n)
| C function set/allocate size of array. More...
int | has_size (const struct value *v)
| C function returns the size of an array or struct. More...
int | is_empty (const struct value *v)
| C function returns true (1) if struct/array is empty or when value is not an struct/array, 0 otherwise. More...
struct params * | new_params (struct soap *soap)
| C function returns pointer to new parameters for XML-RPC methodCall. More...
struct params * | init_params (struct soap *soap, struct params *p)
| C function to clear parameters, returns a pointer to the empty parameters. More...
struct value * | nth_param (struct params *p, int n)
| C function returns pointer to parameter value at index n, creates new parameter if needed. More...
int | call_method (struct soap *soap, const char *endpoint, const char *methodName, struct params *p, struct methodResponse *r)
| C function to invoke XML-RPC methodCall on endpoint given methodCall m populates methodResponse r, returns SOAP_OK or error. More...

## Typedef Documentation

typedef char _boolean

Scalar <boolean> element with values 0 (false) or 1 (true)

typedef char* _dateTime_DOTiso8601

Scalar <dateTime.iso8601> element with ISO8601 date and time formatted string.

typedef double _double

Scalar <double> element with double floating point.

typedef int _i4

Scalar <i4> element with 32 bit integer.

typedef LONG64 _int

Scalar <int> element with 64 bit integer.

typedef char* _string

Scalar <string> element.

## Function Documentation

struct _base64* base64_of | ( | struct value * | v | ) |

C function returns pointer to base64 struct, coerces v to base64 struct if needed.

_boolean* bool_of | ( | struct value * | v | ) |

C function returns pointer to Boolean, coerces v to Boolean if needed.

int call_method | ( | struct soap * | soap,
|  | const char * | endpoint,
|  | const char * | methodName,
|  | struct params * | p,
|  | struct methodResponse * | r
| ) |  |

C function to invoke XML-RPC methodCall on endpoint given methodCall m populates methodResponse r, returns SOAP_OK or error.

const char** dateTime_of | ( | struct value * | v | ) |

C function returns pointer to string of ISO 8601, coerces v to string if needed (get time with soap_s2dateTime and set time with soap_dateTime2s)

_double* double_of | ( | struct value * | v | ) |

C function returns pointer to double, coerces v to double if needed.

int has_size | ( | const struct value * | v | ) |

C function returns the size of an array or struct.

struct params* init_params | ( | struct soap * | soap,
|  | struct params * | p
| ) |  |

C function to clear parameters, returns a pointer to the empty parameters.

struct value* init_value | ( | struct soap * | soap,
|  | struct value * | v
| ) |  |

C/C++ function to init or reset a value, returns a pointer to this value.

_int* int_of | ( | struct value * | v | ) |

C function returns pointer to int, coerces v to int if needed.

_boolean is_array | ( | const struct value * | v | ) |

C function returns true if array of values.

_boolean is_base64 | ( | const struct value * | v | ) |

C function returns true if base64, always false for received JSON.

_boolean is_bool | ( | const struct value * | v | ) |

C function returns true if value is a Boolean "true" or "false" value.

_boolean is_dateTime | ( | const struct value * | v | ) |

C function returns true if ISO 8601, always false for received JSON.

_boolean is_double | ( | const struct value * | v | ) |

C function returns true if value is a 64 bit double floating point.

int is_empty | ( | const struct value * | v | ) |

C function returns true (1) if struct/array is empty or when value is not an struct/array, 0 otherwise.

_boolean is_false | ( | const struct value * | v | ) |

C function returns true if value is Boolean "false".

_boolean is_int | ( | const struct value * | v | ) |

C function returns true if value is a 32 or a 64 bit int.

_boolean is_null | ( | const struct value * | v | ) |

C function returns true if value is not set or assigned (JSON null)

_boolean is_number | ( | const struct value * | v | ) |

C function returns true if value is a number (int or float)

_boolean is_rawdata | ( | const struct value * | v | ) |

C function returns true if RAW JSON, always false for received JSON.

_boolean is_string | ( | const struct value * | v | ) |

C function returns true if value is a string.

_boolean is_struct | ( | const struct value * | v | ) |

C function returns true if structure, a.k.a. a JSON object.

_boolean is_true | ( | const struct value * | v | ) |

C function returns true if value is Boolean "true".

struct params* new_params | ( | struct soap * | soap | ) |

C function returns pointer to new parameters for XML-RPC methodCall.

struct value* new_value | ( | struct soap * | soap | ) |

C/C++ function returns a pointer to a new value.

int nth_at | ( | const struct value * | v,
|  | const char * | s
| ) |  |

C function returns the nth index of a name in a struct, < 0 otherwise.

int nth_atw | ( | const struct value * | v,
|  | const wchar_t * | s
| ) |  |

C function returns the nth index of a name in a struct, < 0 otherwise.

struct member* nth_member | ( | struct value * | v,
|  | int | n
| ) |  |

C function returns pointer to nth member (name and value) of a struct or NULL when not exists.

int nth_nth | ( | const struct value * | v,
|  | int | n
| ) |  |

C function returns the nth index if an nth index in the array exists, < 0 otherwise.

struct value* nth_param | ( | struct params * | p,
|  | int | n
| ) |  |

C function returns pointer to parameter value at index n, creates new parameter if needed.

struct value* nth_value | ( | struct value * | v,
|  | int | n
| ) |  |

C function returns pointer to array element value at index n, coerces v to array with value at n if needed.

struct _rawdata* rawdata_of | ( | struct value * | v | ) |

C function returns pointer to string of RAW JSON.

void set_size | ( | struct value * | v,
|  | int | n
| ) |  |

C function set/allocate size of array.

void set_struct | ( | struct value * | v | ) |

C function to create an empty struct.

const char** string_of | ( | struct value * | v | ) |

C function returns pointer to string (pointer to char * to set or get), coerces v to string if needed.

struct value* value_at | ( | struct value * | v,
|  | const char * | s
| ) |  |

C function returns pointer to member value of a struct, coerces v to struct if needed.

struct value* value_atw | ( | struct value * | v,
|  | const wchar_t * | s
| ) |  |

C function returns pointer to member value of a struct, coerces v to struct if needed.